Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.models
Class LocationPropertySource

    java.lang.Object
      |
      +--APStudio.models.LocationPropertySource

All Implemented Interfaces:
  org.eclipse.ui.views.properties.IPropertySource

public class LocationPropertySource
extends java.lang.Object
implements org.eclipse.ui.views.properties.IPropertySource

Field Summary
`static java.lang.String` | `ID_XPOS`
`static java.lang.String` | `ID_YPOS`

Constructor Summary
`LocationPropertySource(org.eclipse.draw2d.geometry.Point point)`

Method Summary
`java.lang.Object` | `getEditableValue()`
`org.eclipse.ui.views.properties.IPropertyDescriptor[]` | `getPropertyDescriptors()`
`java.lang.Object` | `getPropertyValue(java.lang.Object propName)`
`org.eclipse.draw2d.geometry.Point` | `getValue()`
`boolean` | `isPropertySet(java.lang.Object propName)`
`void` | `resetPropertyValue(java.lang.Object propName)`
`void` | `setPropertyValue(java.lang.Object propName, java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID_XPOS

    public static java.lang.String ID_XPOS

### ID_YPOS

    public static java.lang.String ID_YPOS

Constructor Detail

### LocationPropertySource

    public LocationPropertySource(org.eclipse.draw2d.geometry.Point point)

Method Detail

### getEditableValue

    public java.lang.Object getEditableValue()

  Specified by:
    `getEditableValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### getPropertyDescriptors

    public org.eclipse.ui.views.properties.IPropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.ui.views.properties.IPropertySource`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object propName)

  Specified by:
    `getPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### getValue

    public org.eclipse.draw2d.geometry.Point getValue()

### isPropertySet

    public boolean isPropertySet(java.lang.Object propName)

  Specified by:
    `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object propName)

  Specified by:
    `resetPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### setPropertyValue

    public void setPropertyValue(java.lang.Object propName,
                                 java.lang.Object value)

  Specified by:
    `setPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD